'use strict';

// ** Dependencies
const EventEmitter = require('events').EventEmitter;

// Program Events
const events = new EventEmitter();

function shutdown() {
    events.emit('shutdown');
}

// ** Exports
module.exports.on = events.on.bind(events);
module.exports.shutdown = shutdown;